package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 地块基本信息合规性判定记录对象 t_dkjbxx_hgx_record
 *
 * @author siwei
 * @date 2025-02-17
 */
public class TDkjbxxHgxRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块ID
     */
    @Excel(name = "地块ID")
    private String dkjbxxId;

    /**
     * 地块编号
     */
    @Excel(name = "地块编号")
    private String dkbh;

    /**
     * 地块面积(亩)
     */
    @Excel(name = "地块面积(亩)")
    private String dkmj;

    /**
     * 拆分状态 0是 1否
     */
    @Excel(name = "拆分状态 0是 1否")
    private Integer splitType;

    /**
     * 注释
     */
    @Excel(name = "注释")
    private String notes;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程ID")
    private String auditflowId;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程步骤")
    private String auditflowStep;

    /**
     * 合规性判定情况
     */
    private List<TDkjbxxHgx> hgxVoList;

    /**
     * 附件
     */
    private List<TDkAuditflowFj> fjs;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjbxxId(String dkjbxxId) {
        this.dkjbxxId = dkjbxxId;
    }

    public String getDkjbxxId() {
        return dkjbxxId;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkmj(String dkmj) {
        this.dkmj = dkmj;
    }

    public String getDkmj() {
        return dkmj;
    }

    public void setSplitType(Integer splitType) {
        this.splitType = splitType;
    }

    public Integer getSplitType() {
        return splitType;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public List<TDkjbxxHgx> getHgxVoList() {
        return hgxVoList;
    }

    public void setHgxVoList(List<TDkjbxxHgx> hgxVoList) {
        this.hgxVoList = hgxVoList;
    }

    public List<TDkAuditflowFj> getFjs() {
        return fjs;
    }

    public void setFjs(List<TDkAuditflowFj> fjs) {
        this.fjs = fjs;
    }

    public String getAuditflowStep() {
        return auditflowStep;
    }

    public void setAuditflowStep(String auditflowStep) {
        this.auditflowStep = auditflowStep;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjbxxId", getDkjbxxId())
                .append("dkbh", getDkbh())
                .append("dkmj", getDkmj())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("splitType", getSplitType())
                .append("notes", getNotes())
                .append("auditflowId", getAuditflowId())
                .toString();
    }
}
